## scantailor-advanced 1.0.19%2Bgit20240408

=== src/imageproc/CMakeLists.txt ===
set(sources
    BinaryImage.cpp BinaryImage.h
    BinaryThreshold.cpp BinaryThreshold.h
    SlicedHistogram.cpp SlicedHistogram.h
    ByteOrder.h BWColor.h
    ConnComp.h Connectivity.h
    BitOps.cpp BitOps.h
    SeedFill.cpp SeedFill.h
    ConnCompEraser.cpp ConnCompEraser.h
    ConnCompEraserExt.cpp ConnCompEraserExt.h
    GrayImage.cpp GrayImage.h
    Grayscale.cpp Grayscale.h
    RasterOp.h GrayRasterOp.h RasterOpGeneric.h
    UpscaleIntegerTimes.cpp UpscaleIntegerTimes.h
    ReduceThreshold.cpp ReduceThreshold.h
    Shear.cpp Shear.h
    SkewFinder.cpp SkewFinder.h
    OrthogonalRotation.cpp OrthogonalRotation.h
    Scale.cpp Scale.h
    Transform.cpp Transform.h
    Morphology.cpp Morphology.h
    IntegralImage.h
    Binarize.cpp Binarize.h
    PolygonUtils.cpp PolygonUtils.h
    PolygonRasterizer.cpp PolygonRasterizer.h
    HoughLineDetector.cpp HoughLineDetector.h
    GaussBlur.cpp GaussBlur.h
    WienerFilter.cpp WienerFilter.h
    Sobel.h
    MorphGradientDetect.cpp MorphGradientDetect.h
    PolynomialLine.cpp PolynomialLine.h
    PolynomialSurface.cpp PolynomialSurface.h
    SavGolKernel.cpp SavGolKernel.h
    SavGolFilter.cpp SavGolFilter.h
    DrawOver.cpp DrawOver.h
    AdjustBrightness.cpp AdjustBrightness.h
    SEDM.cpp SEDM.h
    ConnectivityMap.cpp ConnectivityMap.h
    InfluenceMap.cpp InfluenceMap.h
    MaxWhitespaceFinder.cpp MaxWhitespaceFinder.h
    RastLineFinder.cpp RastLineFinder.h
    ColorInterpolation.cpp ColorInterpolation.h
    LocalMinMaxGeneric.h
    SeedFillGeneric.cpp SeedFillGeneric.h
    FindPeaksGeneric.h
    ColorMixer.h
    ColorForId.h
    BackgroundColorCalculator.cpp BackgroundColorCalculator.h
    BadAllocIfNull.cpp BadAllocIfNull.h
    ColorSegmenter.cpp ColorSegmenter.h
    Posterizer.cpp Posterizer.h
    ImageCombination.h ImageCombination.cpp
    Dpi.cpp Dpi.h
    Dpm.cpp Dpm.h
    DebugImages.h)

add_library(imageproc STATIC ${sources})
target_link_libraries(imageproc PUBLIC foundation math)
target_include_directories(imageproc PUBLIC "${CMAKE_CURRENT_SOURCE_DIR}")

add_subdirectory(tests)

=== src/core/filters/deskew/CMakeLists.txt ===
set(CMAKE_AUTOUIC ON)

set(ui_files
    ApplyDialog.ui
    OptionsWidget.ui)

set(sources
    ImageView.cpp ImageView.h
    Thumbnail.cpp Thumbnail.h
    Filter.cpp Filter.h
    OptionsWidget.cpp OptionsWidget.h
    Settings.cpp Settings.h
    Task.cpp Task.h
    CacheDrivenTask.cpp CacheDrivenTask.h
    Dependencies.cpp Dependencies.h
    Params.cpp Params.h
    ApplyDialog.cpp ApplyDialog.h
    Utils.cpp Utils.h)

add_library(deskew STATIC ${sources} ${ui_files})
target_link_libraries(deskew PUBLIC core)

translation_sources(scantailor ${sources} ${ui_files})

=== debian/changelog ===
scantailor-advanced (1.0.19+git20240408-1~mx23) mx; urgency=medium

  * New upstream release
  * from https://github.com/ScanTailor-Advanced/scantailor-advanced fork.

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 21 Jan 2025 21:38:58 +0000

scantailor (0.9.12.2-3) unstable; urgency=medium

  * Run tests in 24-bit virtual X server.
    The SkewFinderTestSuite/test_positive_detection test fails if run under
    the default 8-bit xvfb server because the skew detection algorithm
    does not work well without antialiasing. (Closes: #867021)
  * d/copyright:
    + Fix license of compat/pstdint.h.
      Change from BDS-3-clause(modified) to BSD-3-clause-modified.  This is a
      variant of a BSD-3-clause license.  Removing the parenthesis fixes a
      lintian warning.
    + Update Format url from http to https
  * d/control: Update Standards-Version from 3.9.8 to 4.0.0.
    No changes needed.
  * Move from debhelper 9 to 10

 -- Jason Crain <jason@inspiresomeone.us>  Tue, 04 Jul 2017 21:35:17 -0500

scantailor (0.9.12.2-2) unstable; urgency=medium

  * Enable hardening flags.

 -- Jason Crain <jason@inspiresomeone.us>  Mon, 23 May 2016 10:50:25 -0500

scantailor (0.9.12.2-1) unstable; urgency=low

  * Imported Upstream version 0.9.12.2. (Closes: #811871)
  * New maintainer. (Closes: #816504)
  * Remove fix-qt4-parsing-error-on-libboost.patch.  Applied upstream.
  * Refresh buildflags.patch.
  * debian/gbp.conf: Rename git-import-orig to import-orig.
  * Update manpages.
  * Add debian/upstream/metadata.
  * debian/control:
    + Update Standards-Version to 3.9.8.
    + Remove dpkg-dev from Build-Depends.
    + Update Vcs fields.
  * Remove Pre-Depends and override_dh_builddeb.
  * Update debian/copyright.

 -- Jason Crain <jason@inspiresomeone.us>  Tue, 03 May 2016 09:55:17 -0500

scantailor (0.9.11.1-4) unstable; urgency=medium

  * Added fix-qt4-parsing-error-on-libboost.patch (Closes: #798049)
  * deb/control: added libboost-dev to build-deps.

 -- Daniel Stender <debian@danielstender.com>  Wed, 07 Oct 2015 17:09:47 +0200

scantailor (0.9.11.1-3) unstable; urgency=medium

  * deb/control:
    + bumped standards to 3.9.6 (no changes needed).
    + updated Vcs-Browser.
  * deb/copyright: corrected typo, updated.
  * scantailor-cli.1: build with txt2man instead of Docbook,
    parsing date from changelog (Closes: #779339).
  * Added deb/gbp.conf.

 -- Daniel Stender <debian@danielstender.com>  Sat, 09 May 2015 09:24:55 +0200

scantailor (0.9.11.1-2) unstable; urgency=low

  * deb/control:
    + Bumped standards to 3.9.5 (no changes needed).
    + Maintainer email address and Homepage changed.
  * deb/copyright:
    + Upstream-Contact and Source changed.
    + Changed maintainer email address.
    + Expanded copyrights to 2014.
    + Removed unnecessary details.
  * deb/patches/series: added newline.
  * deb/scantailor.desktop: added Keywords.
  * Updated deb/watch file.

 -- Daniel Stender <debian@danielstender.com>  Wed, 02 Jul 2014 09:33:10 +0200

scantailor (0.9.11.1-1) unstable; urgency=low

  * Initial release (Closes: #523393, #538125).

 -- Daniel Stender <daniel@danielstender.com>  Mon, 24 Jun 2013 17:52:43 +0200

=== debian/control ===
Source: scantailor-advanced
Section: graphics
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
Build-Depends:
 cmake,
 debhelper (>= 13),
 libboost-dev,
 libboost-test-dev,
 libjpeg-dev,
 libpng-dev,
 libqt5opengl5-dev,
 libqt5svg5-dev,
 libtiff-dev,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 xvfb

Standards-Version: 4.0.0
Homepage: https://github.com/ScanTailor-Advanced/scantailor-advanced
Vcs-Git: https://github.com/ScanTailor-Advanced/scantailor-advanced -b master
Package: scantailor-advanced
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: interactive post-processing tool for scanned pages
 Scan Tailor Advanced is an interactive post-processing tool for scanned pages. It
 performs operations such as page splitting, deskewing, adding/removing
 borders, and others. You give it raw scans, and you get pages ready to be
 printed or assembled into a PDF or DJVU file. Scanning, optical character
 recognition, and assembling multi-page documents are out of scope of this
 project.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

override_dh_auto_test:
	xvfb-run --server-args="-screen 0 640x480x24" dh_auto_test
